/*
   Program....: AmPm.Prg
   System.....: MARVY50.Lib  -  Clipper 5.01 Version
   Author.....: Michael Clerc
   Date.......: Fri  03-05-1993 - 13:59:15
   Purpose....: a nice alternative to AChoice()
              :
   Syntax.....: AChoose( top, left, right, bottom, array, [pointer], [heading])
   Where......: top, left, right, bottom..... are the actual Achoice() scan
              :                               coordinates
              : array.......is the array that Achoice is to act on
              : pointer.....is the pointer value IF Ascan was used, pass at least
              :             "" if NO pointer value is used
              : heading.....is optional, and will put a heading at the top of
              :             the scrolling lookup box
              :
   Copyright..:           Simply Marvelous Solutions
                                 Mesa, AZ
                       (c) 1993 - All Rights Reserved
*/
Function AChoose
Parameters nTop, nLeft, nBottom, nRight, aArray, nPointer, cHeading, cColor,;
 cColor1
Private nX, nMax, nOldPos, nWindSize, nZx, cOldcolor := SetColor(), nCurrent

SetCursor(0)

If ValType("nPointer") <> "N"
  nPointer := 0
Endif

If Type("cColor") = "U"
  cColor := "n/gr"
Endif

If Type("cColor1") = "U"
  cColor1 := "+w/gr"
Endif

nMax     := Len(aArray)
nOldPos  := 0

If nBottom >=22
  nBottom := 22
Endif

nWinSize := (nBottom-1) - (nTop+1)

SetColor(cColor)
Explode(nTop-1, nLeft-1, nBottom+1, nRight+3, 10, cColor, 3,"aChooser")
@nTop-1,nRight+1 Say ""
@nBottom+1,nRight+1 Say ""
@nTop,nRight+1 to nBottom,nRight+1

If ValType("cHeading") = "C"
  SetColor(cColor)
  @nTop-1, nLeft+2 Say ""+Space(Len(cHeading))+""
  SetColor("+gr/n")
  @nTop-1, nLeft+3 Say cHeading
Endif

If M->nPointer > 0
   nCurrent := nPointer
   nNewPos  := Int(nWinSize / (nMax / nCurrent))
   If nCurrent = 1
     nNewPos := 0
   ElseIf nCurrent = nMax
     nNewPos := nWinSize
   Endif
   If nOldPos <> nNewPos
     SetColor("+gr/n")
     For nX := nTop+1 to nBottom-1
       @nX, nRight + 2 Say ""
     Next
     SetColor("+w/n")
     @nTop, nRight + 2 Say ""
     @nBottom, nRight + 2 Say ""
     SetColor("n/n")
     @(nTop+1) + nNewPos, nRight + 2 Say ""
     nOldPos := nNewPos
   Endif
Else
   SetColor("n/n")
   @(nTop+1), nRight + 2 Say ""
   SetColor("+w/n")
   @nTop, nRight + 2 Say ""
   @nBottom, nRight + 2 Say ""
   SetColor("+gr/n")
   For nX = nTop + 2 to nBottom-1
     @nX, nRight + 2 Say ""
   Next
Endif

nZx = 0
SetColor(cColor1 + ",+gr/n")

If ValType('lCsrsele') <> "L"
  lCsrsele := .T.
Endif

nZx = Achoice(nTop + 1, nLeft, nBottom -1, nRight, aArray, lCsrsele,;
       "achoose_udf",nPointer)
Implode("aChooser",20)
SetColor(cOldColor)
Return(nZx)
** Eof........: AChoose.Prg

*
*The UDF to control the reference marker and the key reactions of AChoose.Prg
*
Function Achoose_Udf( nStatus, nCurrent, nRelative )
Local cOldColor := SetColor(), nRetVal := 2

Do Case
  Case nStatus = 0
    nNewPos := Int(nWinSize / (nMax / nCurrent))
    If nCurrent = 1
      nNewPos := 0
    ElseIf nCurrent = nMax
      nNewPos := nWinSize
    Endif

    If nOldPos <> nNewPos
      SetColor("+gr/n")
      @(nTop+1) + nOldPos, nRight + 2 Say ""
      SetColor("n/n")
      @(nTop+1) + nNewPos, nRight + 2 Say ""
      nOldPos := nNewPos
    Endif

  Case nStatus = 1 .or. nStatus = 2
    Tone(60,2)

  Case nStatus = 3
    Do Case
      Case LastKey() = 27
        nRetVal = 2
      Case LastKey() = 13
        SetColor("+gr/n")
        @(nTop+1) + nOldPos, nRight + 2 Say ""
        SetColor("n/n")
        nRetVal = 1
      Case LastKey() = 1
        KeyBoard Chr(31)
        nRetVal = 2
      Case LastKey() = 6
        KeyBoard Chr(30)
        nRetVal = 2
      Case Upper(Chr(LastKey())) $ "ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
        nRetVal = 3
    EndCase
EndCase
SetColor(cOldColor)
Return(nRetVal)
** Eof........: Achoose_Udf.Prg
