/*
  Help support the Clipper Developement Community by letting your customers
  know what their applications were developed with.  Include the following
  Nantucket(tm) Logo on the closing screen of your applications.  This will
  benefit all Clipper developers by increasing end-user awareness, and will
  distancr our products from "dBASE" by establishing Clipper as a solid,
  independant developement environment.

  ** Sample code to demonstrate the Logo's...
  @ 0, 0 clear
  NanLogo( 2, 0 )              && Full-Size Nantucket Logo
  SNanLogo( 2, 45 )            && "Small" Nantucket Logo
  @ 20, 0 say "Press any key..."
  inkey( 0 )
  @ 20, 0
  return

  NanLogo(): Displays a Nantucket Logo on the screen along with
             a short message promoting Clipper applications.
       Size: The displayed Logo is 17 rows long and 40 columns wide.
      Usage: NanLogo( row, col ) where row and col are the upper
             left coordinates for the Logo.  If omited they
             defalut to the current screen position.
     Author: Written by Steve Klingler of Programming Solutions, Inc.
             SLC, UT.  CIS ID: 73320,3117
       Note: Nantucket, Clipper, and the Nantucket Logo are
             trademarks of Nantucket Copr.
*/
Function NanLogo (nTop, nLeft)       && Logo nTop and nLeft coordinates
    Local prevColor, logoColor, textColor, regColor
    prevColor = setcolor()
    logoColor = iif( IsColor(), "B/G", "W/N" )
    textColor = iif( IsColor(), "W+/G", "W+/N" )
    regColor  =  iif( IsColor(), "N/B", "N/W" )
    if ( type( "nTop" ) # 'N' )&& Verify that the values were passed
        nTop= row()
    endif
    if ( type( "nLeft" ) # 'N' )
        nLeft= col()
    endif
    setcolor( textColor )   
    @ nTop +  0, nLeft say " Nantucket                      Clipper "
    setcolor( logoColor )   
    @ nTop +  1, nLeft say ""
    @ nTop +  2, nLeft say "        Professional Software "
    @ nTop +  3, nLeft say ""
    @ nTop +  4, nLeft say "       Utilizing Clipper "
    @ nTop +  5, nLeft say ""
    @ nTop +  6, nLeft say "         Technology "
    @ nTop +  7, nLeft say ""
    @ nTop +  8, nLeft say "               "
    @ nTop +  9, nLeft say ""
    @ nTop + 10, nLeft say "          "
    @ nTop + 11, nLeft say ""
    @ nTop + 12, nLeft say "     "
    @ nTop + 13, nLeft say ""
    @ nTop + 14, nLeft say ""
    @ nTop + 15, nLeft say ""
    @ nTop + 16, nLeft say ""
    setcolor( regColor )
    @ nTop + 16, nLeft + 10 say "(R) Nantucket Corp"
    setcolor( prevColor )
return (.T.)

/*
  SNanLogo(): Displays a smanLefter "abbreviated" Nantucket Logo on the screen
              along with a short message promoting Clipper applications.
        Size: The displayed Logo is 15 rows long and 34 columns wide.
       Usage: SNanLogo( row, col ) where row and col are the upper
              nLeft coordinates for the Logo.  If omited they
              defalut to the current screen position.
      Author: Written by Steve Klingler of Programming Solutions, Inc.
              SLC, UT.  CIS ID: 73320,3117
        Note: Nantucket, Clipper, and the Nantucket Logo are
              trademarks of Nantucket Copr.
*/
function SNanLogo(nTop, nLeft)       && Logo nTop and nLeft coordinates
    Local prevColor, logoColor, textColor, regColor
    prevColor= setcolor()
    logoColor= iif( IsColor(), "B/G", "W/N" )
    textColor= iif( IsColor(), "W+/G", "W+/N" )
    regColor=  iif( IsColor(), "N/B", "N/W" )
    if ( type( "nTop" ) # 'N' )&& Verify that the values were passed
        nTop= row()
    endif
    if ( type( "nLeft" ) # 'N' )
        nLeft= col()
    endif
    setcolor( textColor )   
    @ nTop +  0, nLeft say " Nantucket                Clipper "
    setcolor( logoColor )
    @ nTop +  1, nLeft say ""
    @ nTop +  2, nLeft say "   Professional Software "
    @ nTop +  3, nLeft say ""
    @ nTop +  4, nLeft say "  Utilizing Clipper "
    @ nTop +  5, nLeft say ""
    @ nTop +  6, nLeft say "     Technology "
    @ nTop +  7, nLeft say ""
    @ nTop +  8, nLeft say "          "
    @ nTop +  9, nLeft say ""
    @ nTop + 10, nLeft say "     "
    @ nTop + 11, nLeft say ""
    @ nTop + 12, nLeft say ""
    @ nTop + 13, nLeft say ""
    @ nTop + 14, nLeft say ""
    setcolor( regColor )
    @ nTop + 14, nLeft + 7 say "(R) Nantucket Corp"
    setcolor( prevColor )
return (.T.)
